<div>
  <p-table 
  [value]="playerVsPlayer" 
  [rows]="30" 
  [showCurrentPageReport]="true" 
  [tableStyle]="{ 'min-width': '50rem' }"
  [loading]="loading" 
  [scrollable]="true" 
  scrollHeight="flex" 

  styleClass="p-datatable-sm pvp-table"
  (onRowExpand)="onDateClick($event)"
  (onRowCollapse)="onRowCollapse($event)"
  dataKey="index"
  >
  <ng-template pTemplate="caption">
    <div>
      <form *ngIf="players" class="flex" [formGroup]="formGroup">
        <span class="p-float-label">
          <p-multiSelect [style]="{ width: '11rem' }" appendTo="body" 
            formControlName="opponents" [options]="players"
            placeholder="Select a players" optionLabel="name" [virtualScroll]="true"
            [virtualScrollItemSize]="38"></p-multiSelect>
          <label class="label-mobile" for="float-label">Players</label>
        </span>

        <span class="p-float-label">
          <p-dropdown [style]="{ width: '11rem' }" appendTo="body" 
            formControlName="player" [options]="players"
            placeholder="Select a opponent" inputId="float-label" 
            optionLabel="name" [virtualScroll]="true"
            [virtualScrollItemSize]="38" [filter]="true"></p-dropdown>
          <label class="label-mobile" for="float-label">Opponent</label>
        </span>



        <span class="p-float-label">
          <p-dropdown [style]="{ width: '11rem' }" appendTo="body" formControlName="homeAway" [options]="homeAway"
            placeholder="Select a teamFilter" optionLabel="name"></p-dropdown>
          <label class="label-mobile" for="float-label">Home/Away</label>
        </span>

        <span class="p-float-label">
          <p-dropdown [style]="{ width: '11rem' }" appendTo="body" formControlName="playoff" [options]="playOff"
            placeholder="Select a Playoff/Regular" optionLabel="name"></p-dropdown>
          <label class="label-mobile" for="float-label">Playoff/Regular</label>
        </span>
      </form>
    </div>
  </ng-template>

  <ng-template pTemplate="header">
    <tr>
      <th style="width:20%">Opponent
      </th>
      <th style="width:20%">Players
      </th>
      <th>
        Date
      </th>
      <th>
        Mp
      </th>
      <th>
        Pts
      </th>
      <th>
        Trb
      </th>
      <th>
        Drb
      </th>
      <th>
        Orb
      </th>
      <th>
        Ast
      </th>
      <th>
        Fg
      </th>
      <th>
        Fga
      </th>
      <th>
        Fg3
      </th>
      <th>Fg3a</th>
      <th>Ft</th>
      <th>Fta</th>
      <th>Usg</th>


      <!-- <th>Team</th> -->
      <!-- <th>G</th> -->
      <!-- <th>Pts</th> -->
      <!-- <th>Trb</th> -->
      <!-- <th>Drb</th> -->
      <!-- <th>Orb</th> -->
      <!-- <th>Ast</th> -->
      <!-- <th>Fg</th> -->
      <!-- <th>Fga</th> -->
      <!-- <th>Fg3</th> -->
      <!-- <th>Fg3a</th> -->
      <!-- <th>Ft</th> -->
      <!-- <th>Fta</th> -->
      <!-- <th>Mp</th> -->
    </tr>
  </ng-template>
  <ng-template pTemplate="body" let-stats let-rowIndex="rowIndex" let-rowgroup="rowgroup" let-rowspan="rowspan" let-expanded="expanded">
    <tr>
      <!-- <td>
        <button type="button" pButton pRipple [pRowToggler]="stats"
          class="p-button-text p-button-rounded p-button-plain"
          [icon]="expanded ? 'pi pi-chevron-down' : 'pi pi-chevron-right'"></button>
      </td> -->
      <!-- <td [attr.rowspan]="playerVsPlayer.length">{{ playerName }}</td> -->
      <td style="border: unset;">{{ rowIndex === 0 ? playerName : '' }}</td>
      <!-- <td>{{ playerName }}</td> -->
      <td *ngIf="stats.first" [attr.rowspan]="stats.occurrence" style="vertical-align: baseline;">
        {{ stats.player }}
      </td>
      <td class="date-td" [pRowToggler]="stats"><a>{{ stats.date }}</a></td>
      <td>{{ stats.mp | number : '1.1-1'}}</td>
      <td>{{ stats.pts | number : '1.1-1' }}</td>
      <td>{{ stats.trb | number : '1.1-1' }}</td>
      <td>{{ stats.drb | number : '1.1-1' }}</td>
      <td>{{ stats.orb | number : '1.1-1' }}</td>
      <td>{{ stats.ast | number : '1.1-1' }}</td>
      <td>{{ stats.fg | number : '1.1-1' }}</td>
      <td>{{ stats.fga | number : '1.1-1' }}</td>
      <td>{{ stats.fg3 | number : '1.1-1' }}</td>
      <td>{{ stats.fg3a | number : '1.1-1' }}</td>
      <td>{{ stats.ft | number : '1.1-1' }}</td>
      <td>{{ stats.fta | number : '1.1-1' }}</td>
      <td>{{ stats.usg | number : '1.1-1' }}</td>
    </tr>
  </ng-template>

  <ng-template pTemplate="rowexpansion">
    <tr>
      <td colspan="16">
        <app-game-details [gameDetails]="gameDetails"></app-game-details>
      </td>
    </tr>
  </ng-template>


  <!-- <ng-template pTemplate="rowexpansion" let-customer>
    <tr>
        <td>
            {{'asd'}}
        </td>
        <td>
            {{'dsd'}}
        </td>
    </tr>
</ng-template> -->





  <ng-template pTemplate="emptymessage">
    <div></div>
    <tr rowspan="5">
        <td colspan="16">No data found.</td>
    </tr>
  </ng-template>
</p-table>

<p-table 
  [value]="playerVsPlayerAverage" 
  [rows]="30" 
  [showCurrentPageReport]="true" 
  [tableStyle]="{ 'min-width': '50rem' }"
  [loading]="loading" 
  [scrollable]="true" 
  scrollHeight="flex" 
  >
  

  <ng-template pTemplate="header">
    <tr>
      <th pSortableColumn="name" style="width:20%">Opponent
        <p-sortIcon field="name"></p-sortIcon>
      </th>
      <th pSortableColumn="opponents" style="width:20%">Players
        <p-sortIcon field="opponents"></p-sortIcon>
      </th>
      <th pSortableColumn="mp">Mp
        <p-sortIcon field="mp"></p-sortIcon>
      </th>
      <th pSortableColumn="pts">Pts
        <p-sortIcon field="pts"></p-sortIcon>
      </th>
      <th pSortableColumn="trb">Trb
        <p-sortIcon field="trb"></p-sortIcon>
      </th>
      <th pSortableColumn="drb">Drb
        <p-sortIcon field="drb"></p-sortIcon>
      </th>
      <th pSortableColumn="orb">Orb
        <p-sortIcon field="orb"></p-sortIcon>
      </th>
      <th pSortableColumn="ast">Ast
        <p-sortIcon field="ast"></p-sortIcon>
      </th>
      <th pSortableColumn="fg">Fg
        <p-sortIcon field="fg"></p-sortIcon>
      </th>
      <th pSortableColumn="fga">Fga
        <p-sortIcon field="fga"></p-sortIcon>
      </th>
      <th pSortableColumn="fg3">Fg3
        <p-sortIcon field="fg3"></p-sortIcon>
      </th>
      <th pSortableColumn="fg3a">Fg3a
        <p-sortIcon field="fg3a"></p-sortIcon>
      </th>
      <th pSortableColumn="ft">Ft
        <p-sortIcon field="ft"></p-sortIcon>
      </th>
      <th pSortableColumn="fta">Fta
        <p-sortIcon field="fta"></p-sortIcon>
      </th>
      <th pSortableColumn="usg">Usg
        <p-sortIcon field="usg"></p-sortIcon>
      </th>


      <!-- <th>Team</th> -->
      <!-- <th>G</th> -->
      <!-- <th>Pts</th> -->
      <!-- <th>Trb</th> -->
      <!-- <th>Drb</th> -->
      <!-- <th>Orb</th> -->
      <!-- <th>Ast</th> -->
      <!-- <th>Fg</th> -->
      <!-- <th>Fga</th> -->
      <!-- <th>Fg3</th> -->
      <!-- <th>Fg3a</th> -->
      <!-- <th>Ft</th> -->
      <!-- <th>Fta</th> -->
      <!-- <th>Mp</th> -->
    </tr>
  </ng-template>
  <ng-template pTemplate="body" let-stats let-rowIndex="rowIndex">
    <tr>
      <!-- <td [attr.rowspan]="playerVsPlayer.length">{{ playerName }}</td> -->
      <td style="border: unset;">{{ rowIndex === 0 ? playerName : '' }}</td>
      <!-- <td>{{ playerName }}</td> -->
      <td>
        {{ stats.player }}
      </td>
      <td>{{ stats.mp | number : '1.1-1'}}</td>
      <td>{{ stats.pts | number : '1.1-1' }}</td>
      <td>{{ stats.trb | number : '1.1-1' }}</td>
      <td>{{ stats.drb | number : '1.1-1' }}</td>
      <td>{{ stats.orb | number : '1.1-1' }}</td>
      <td>{{ stats.ast | number : '1.1-1' }}</td>
      <td>{{ stats.fg | number : '1.1-1' }}</td>
      <td>{{ stats.fga | number : '1.1-1' }}</td>
      <td>{{ stats.fg3 | number : '1.1-1' }}</td>
      <td>{{ stats.fg3a | number : '1.1-1' }}</td>
      <td>{{ stats.ft | number : '1.1-1' }}</td>
      <td>{{ stats.fta | number : '1.1-1' }}</td>
      <td>{{ stats.usg | number : '1.1-1' }}</td>
    </tr>
  </ng-template>
</p-table>
</div>
